circle = {}
circle.__index = circle


circle.new = function(body_type, x, y, radius)
	local self = setmetatable({}, circle)
	
	self.body_type = body_type
	self.x = x
	self.y = y
	self.radius = radius
	
	-- body
	self.body = lp.newBody(world, self.x, self.y, self.body_type)
	-- shape
	self.shape = lp.newCircleShape(self.x, self.y, self.radius)
	-- fixture
	self.fixture = lp.newFixture(self.body, self.shape)
	
	
	return self
end


function circle:draw()
	lg.setColor(176, 255, 176, 255)
	lg.circle("line", math.floor(self.body:getX()), math.floor(self.body:getY()), self.radius, 12)
	lg.print(
	"x: " .. tostring(math.floor(self.body:getX())), math.floor(self.body:getX()) + (self.radius / 2), math.floor(self.body:getY()))
end