triangle = {}
triangle.__index = triangle


triangle.new = function(body_type, shape_type, x, y, width, height)
	local self = setmetatable({}, triangle)
	
	self.body_type = body_type
	self.shape_type = shape_type
	self.x = x
	self.y = y
	self.width = width
	self.height = height
	
	if(self.shape_type == "bl") then
		self.x1, self.y1 = self.x - self.width, self.y
		self.x2, self.y2 = self.x, self.y
		self.x3, self.y3 = self.x - self.width, self.y - self.height
	elseif(self.shape_type == "br") then
		self.x1, self.y1 = self.x, self.y
		self.x2, self.y2 = self.x + self.width, self.y
		self.x3, self.y3 = self.x + self.width, self.y - self.height
	elseif(self.shape_type == "tl") then
		self.x1, self.y1 = self.x, self.y
		self.x2, self.y2 = self.x - self.width, self.y + self.height
		self.x3, self.y3 = self.x - self.width, self.y
	elseif(self.shape_type == "tr") then
		self.x1, self.y1 = self.x, self.y
		self.x2, self.y2 = self.x + self.width, self.y + self.height
		self.x3, self.y3 = self.x + self.width, self.y
	end
	
	-- body
	self.body = lp.newBody(world, self.x, self.y, self.body_type)
	-- shape
	self.shape = lp.newPolygonShape(self.x1, self.y1, self.x2, self.y2, self.x3, self.y3)
	-- fixture
	self.fixture = lp.newFixture(self.body, self.shape)
	
	return self
end


function triangle:draw()
	lg.setColor(255, 128, 255, 255)
	lg.polygon("fill", self.body:getWorldPoints(self.shape:getPoints()))
end